
ServerEvents.recipes((event) => {
    //Inputs
        let Dirt = 'minecraft:dirt'
        let SoulSand = 'minecraft:soul_sand'
        let RedSand = 'minecraft:red_sand'
        let Gravel = 'minecraft:gravel'
        let Sand = 'minecraft:sand'
        let Dust = 'exdeorum:dust'
        let Netherrack = 'exdeorum:crushed_netherrack'
        let EndStone = 'exdeorum:crushed_end_stone'
        let Deepslate = 'exdeorum:crushed_deepslate'
        let Blackstone = 'exdeorum:crushed_blackstone'
        let SplinteredWood = 'skyblockutilities:splintered_wood'

        let StringMesh = 'exdeorum:string_mesh'
        let FlintMesh = 'exdeorum:flint_mesh'
        let IronMesh = 'exdeorum:iron_mesh'
        let GoldMesh = 'exdeorum:golden_mesh'
        let DiamondMesh = 'exdeorum:diamond_mesh'
        let NetheriteMesh = 'exdeorum:netherite_mesh'
		
		let addSifting = (input, mesh, output, amount, chance) => {
        event.custom(
            {
                type: 'exdeorum:sieve',
                ingredient: {
                    item: input
                },
                mesh: mesh,
                result: output,
                result_amount: {
                    type: 'minecraft:binomial',
                    n: amount,
                    p: chance
                }
            }
        )
    }
	
	let addCompSifting = (input, mesh, output, amount, chance) => {
        event.custom(
            {
                type: 'exdeorum:compressed_sieve',
                ingredient: {
                    item: input
                },
                mesh: mesh,
                result: output,
                result_amount: {
                    type: 'minecraft:binomial',
                    n: amount,
                    p: chance
                }
            }
        )
    }

//normal sieve recipes
//cocoa beans from Dirt
addSifting(Dirt, StringMesh, 'minecraft:cocoa_beans', 1, 0.1)
addSifting(Dirt, FlintMesh, 'minecraft:cocoa_beans', 1, 0.11)
addSifting(Dirt, IronMesh, 'minecraft:cocoa_beans', 2, 0.12)
addSifting(Dirt, GoldMesh, 'minecraft:cocoa_beans', 2, 0.14)
addSifting(Dirt, DiamondMesh, 'minecraft:cocoa_beans', 3, 0.15)
addSifting(Dirt, NetheriteMesh, 'minecraft:cocoa_beans', 3, 0.15)
//gold ore chunks
addSifting(Gravel, FlintMesh, 'exdeorum:gold_ore_chunk', 2, 0.08)
addSifting(Gravel, IronMesh, 'exdeorum:gold_ore_chunk', 3, 0.1)
addSifting(Gravel, GoldMesh, 'exdeorum:gold_ore_chunk', 3, 0.13)
addSifting(Gravel, DiamondMesh, 'exdeorum:gold_ore_chunk', 4, 0.15)
addSifting(Gravel, NetheriteMesh, 'exdeorum:gold_ore_chunk', 5, 0.18)
//broken bones from sand
addSifting(Sand, FlintMesh, 'progressionutils:broken_bone', 2, 0.13)
addSifting(Sand, IronMesh, 'progressionutils:broken_bone', 2, 0.16)
addSifting(Sand, GoldMesh, 'progressionutils:broken_bone', 2, 0.2)
addSifting(Sand, DiamondMesh, 'progressionutils:broken_bone', 2, 0.22)
addSifting(Sand, NetheriteMesh, 'progressionutils:broken_bone', 2, 0.24)
//prosperity from sand
addSifting(Sand, IronMesh, 'mysticalagriculture:prosperity_shard', 3, 0.1)
addSifting(Sand, GoldMesh, 'mysticalagriculture:prosperity_shard', 3, 0.12)
addSifting(Sand, DiamondMesh, 'mysticalagriculture:prosperity_shard', 3, 0.17)
addSifting(Sand, NetheriteMesh, 'mysticalagriculture:prosperity_shard', 3, 0.2)
//brokonium dust from Deepslate
addSifting(Deepslate, GoldMesh, 'progressionutils:brokonium_dust', 2, 0.05)
addSifting(Deepslate, DiamondMesh, 'progressionutils:brokonium_dust', 2, 0.08)
addSifting(Deepslate, NetheriteMesh, 'progressionutils:brokonium_dust', 2, 0.11)
//flint from gravel
addSifting(Gravel, FlintMesh, 'minecraft:flint', 1, 0.1)
addSifting(Gravel, IronMesh, 'minecraft:flint', 2, 0.2)
addSifting(Gravel, GoldMesh, 'minecraft:flint', 3, 0.3)
addSifting(Gravel, DiamondMesh, 'minecraft:flint', 4, 0.4)
addSifting(Gravel, NetheriteMesh, 'minecraft:flint', 5, 0.5)
//iron from flint mesh
addSifting(Gravel, FlintMesh, 'exdeorum:iron_ore_chunk', 2, 0.25)
//copper from flint mesh
addSifting(Gravel, FlintMesh, 'exdeorum:copper_ore_chunk', 2, 0.25)
//deepslate pebbles from iron mesh
addSifting(Gravel, IronMesh, 'exdeorum:deepslate_pebble', 2, 0.25)
//shards of desparity from dust
addSifting(Dust, IronMesh, 'progressionutils:shard_fragment', 1, 0.1)
addSifting(Dust, GoldMesh, 'progressionutils:shard_fragment', 1, 0.1)
addSifting(Dust, DiamondMesh, 'progressionutils:shard_fragment', 2, 0.2)
addSifting(Dust, NetheriteMesh, 'progressionutils:shard_fragment', 2, 0.2)
//skyblock utils sifting
//wood chip from SplinteredWood in String Mesh
addSifting(SplinteredWood, StringMesh, 'skyblockutilities:wood_chip', 2, 0.5)
addSifting(SplinteredWood, FlintMesh, 'skyblockutilities:wood_chip', 3, 0.6)
addSifting(SplinteredWood, IronMesh, 'skyblockutilities:wood_chip', 4, 0.7)
addSifting(SplinteredWood, GoldMesh, 'skyblockutilities:wood_chip', 4, 0.7)
addSifting(SplinteredWood, DiamondMesh, 'skyblockutilities:wood_chip', 4, 0.7)
addSifting(SplinteredWood, NetheriteMesh, 'skyblockutilities:wood_chip', 4, 0.7)
//ore pieces
addSifting(EndStone, IronMesh, 'skyblockutilities:clonium_ore_piece', 2, 0.1)
addSifting(EndStone, GoldMesh, 'skyblockutilities:clonium_ore_piece', 2, 0.1)
addSifting(EndStone, DiamondMesh, 'skyblockutilities:clonium_ore_piece', 2, 0.1)
addSifting(EndStone, NetheriteMesh, 'skyblockutilities:clonium_ore_piece', 2, 0.1)

addSifting(Sand, IronMesh, 'skyblockutilities:maralite_ore_piece', 2, 0.3)
addSifting(Sand, IronMesh, 'skyblockutilities:argoliem_ore_piece', 2, 0.3)
addSifting(Sand, IronMesh, 'skyblockutilities:strossnium_ore_piece', 2, 0.25)
addSifting(Sand, IronMesh, 'skyblockutilities:taninite_ore_piece', 2, 0.25)
addSifting(Sand, GoldMesh, 'skyblockutilities:maralite_ore_piece', 2, 0.3)
addSifting(Sand, GoldMesh, 'skyblockutilities:argoliem_ore_piece', 2, 0.3)
addSifting(Sand, GoldMesh, 'skyblockutilities:strossnium_ore_piece', 2, 0.25)
addSifting(Sand, GoldMesh, 'skyblockutilities:taninite_ore_piece', 2, 0.25)
addSifting(Sand, DiamondMesh, 'skyblockutilities:maralite_ore_piece', 2, 0.3)
addSifting(Sand, DiamondMesh, 'skyblockutilities:argoliem_ore_piece', 2, 0.3)
addSifting(Sand, DiamondMesh, 'skyblockutilities:strossnium_ore_piece', 2, 0.25)
addSifting(Sand, DiamondMesh, 'skyblockutilities:taninite_ore_piece', 2, 0.25)
addSifting(Sand, NetheriteMesh, 'skyblockutilities:maralite_ore_piece', 2, 0.3)
addSifting(Sand, NetheriteMesh, 'skyblockutilities:argoliem_ore_piece', 2, 0.3)
addSifting(Sand, NetheriteMesh, 'skyblockutilities:strossnium_ore_piece', 2, 0.25)
addSifting(Sand, NetheriteMesh, 'skyblockutilities:taninite_ore_piece', 2, 0.25)
addSifting(Sand, GoldMesh, 'skyblockutilities:betium_ore_piece', 1, 0.2)
addSifting(Sand, GoldMesh, 'skyblockutilities:rubium_ore_piece', 1, 0.2)
addSifting(Sand, GoldMesh, 'skyblockutilities:sampsonite_ore_piece', 1, 0.2)
addSifting(Sand, GoldMesh, 'skyblockutilities:brokonium_ore_piece', 1, 0.1)
addSifting(Sand, DiamondMesh, 'skyblockutilities:betium_ore_piece', 1, 0.2)
addSifting(Sand, DiamondMesh, 'skyblockutilities:rubium_ore_piece', 1, 0.2)
addSifting(Sand, DiamondMesh, 'skyblockutilities:sampsonite_ore_piece', 1, 0.2)
addSifting(Sand, DiamondMesh, 'skyblockutilities:brokonium_ore_piece', 1, 0.1)
addSifting(Sand, NetheriteMesh, 'skyblockutilities:betium_ore_piece', 1, 0.2)
addSifting(Sand, NetheriteMesh, 'skyblockutilities:rubium_ore_piece', 1, 0.2)
addSifting(Sand, NetheriteMesh, 'skyblockutilities:sampsonite_ore_piece', 1, 0.2)
addSifting(Sand, NetheriteMesh, 'skyblockutilities:brokonium_ore_piece', 1, 0.1)
//royal crowns from Sand
addSifting(Sand, GoldMesh, 'skyblockutilities:ruby_ore_piece', 2, 0.25)
addSifting(Sand, GoldMesh, 'skyblockutilities:sapphire_ore_piece', 2, 0.25)
addSifting(Sand, GoldMesh, 'skyblockutilities:jadestone_ore_piece', 2, 0.25)
addSifting(Sand, GoldMesh, 'skyblockutilities:rosegold_ore_piece', 2, 0.25)
addSifting(Sand, GoldMesh, 'skyblockutilities:royaldiamond_ore_piece', 2, 0.25)
addSifting(Sand, DiamondMesh, 'skyblockutilities:ruby_ore_piece', 2, 0.25)
addSifting(Sand, DiamondMesh, 'skyblockutilities:sapphire_ore_piece', 2, 0.25)
addSifting(Sand, DiamondMesh, 'skyblockutilities:jadestone_ore_piece', 2, 0.25)
addSifting(Sand, DiamondMesh, 'skyblockutilities:rosegold_ore_piece', 2, 0.25)
addSifting(Sand, DiamondMesh, 'skyblockutilities:royaldiamond_ore_piece', 2, 0.25)
addSifting(Sand, NetheriteMesh, 'skyblockutilities:ruby_ore_piece', 2, 0.25)
addSifting(Sand, NetheriteMesh, 'skyblockutilities:sapphire_ore_piece', 2, 0.25)
addSifting(Sand, NetheriteMesh, 'skyblockutilities:jadestone_ore_piece', 2, 0.25)
addSifting(Sand, NetheriteMesh, 'skyblockutilities:rosegold_ore_piece', 2, 0.25)
addSifting(Sand, NetheriteMesh, 'skyblockutilities:royaldiamond_ore_piece', 2, 0.25)
//netherite scraps from blackstone
addSifting(Blackstone, GoldMesh, 'minecraft:netherite_scrap', 2, 0.03)
addSifting(Blackstone, DiamondMesh, 'minecraft:netherite_scrap', 2, 0.06)
addSifting(Blackstone, NetheriteMesh, 'minecraft:netherite_scrap', 4, 0.08)
//pebbles from dirt
addSifting(Dirt, StringMesh, 'exdeorum:stone_pebble', 6, 0.2)
addSifting(Dirt, FlintMesh, 'exdeorum:stone_pebble', 6, 0.3)
addSifting(Dirt, IronMesh, 'exdeorum:stone_pebble', 6, 0.4)
addSifting(Dirt, GoldMesh, 'exdeorum:stone_pebble', 6, 0.5)
addSifting(Dirt, DiamondMesh, 'exdeorum:stone_pebble', 6, 0.6)
addSifting(Dirt, NetheriteMesh, 'exdeorum:stone_pebble', 6, 0.7)
//blue skies
addSifting(Dust, IronMesh, 'blue_skies:charoite', 1, 0.05)
addSifting(Dust, IronMesh, 'blue_skies:moonstone_shard', 1, 0.05)
addSifting(Dust, GoldMesh, 'blue_skies:charoite', 1, 0.1)
addSifting(Dust, GoldMesh, 'blue_skies:moonstone_shard', 1, 0.1)
addSifting(Dust, DiamondMesh, 'blue_skies:charoite', 1, 0.12)
addSifting(Dust, DiamondMesh, 'blue_skies:moonstone_shard', 1, 0.12)
addSifting(Dust, NetheriteMesh, 'blue_skies:charoite', 1, 0.15)
addSifting(Dust, NetheriteMesh, 'blue_skies:moonstone_shard', 1, 0.15)

//blitz and blizz
addSifting(Dust, IronMesh, 'thermal:blizz_powder', 1, 0.05)
addSifting(Dust, IronMesh, 'thermal:blitz_powder', 1, 0.05)
addSifting(Dust, GoldMesh, 'thermal:blizz_powder', 1, 0.1)
addSifting(Dust, GoldMesh, 'thermal:blizz_powder', 1, 0.1)
addSifting(Dust, DiamondMesh, 'thermal:blizz_powder', 1, 0.12)
addSifting(Dust, DiamondMesh, 'thermal:blizz_powder', 1, 0.12)
addSifting(Dust, NetheriteMesh, 'thermal:blizz_powder', 1, 0.15)
addSifting(Dust, NetheriteMesh, 'thermal:blizz_powder', 1, 0.15)

//justanothercropsmod
addSifting(Dirt, StringMesh, 'justanothercropsmod:strawberry_seeds', 1, 0.2)
addSifting(Dirt, StringMesh, 'justanothercropsmod:blueberry_seeds', 1, 0.2)
addSifting(Dirt, StringMesh, 'justanothercropsmod:grape_seeds', 1, 0.2)
addSifting(Dirt, StringMesh, 'justanothercropsmod:raspberry_seeds', 1, 0.2)
addSifting(Dirt, StringMesh, 'justanothercropsmod:lettuce_seeds', 1, 0.2)
addSifting(Dirt, StringMesh, 'justanothercropsmod:tomato_seeds', 1, 0.2)
addSifting(Dirt, StringMesh, 'justanothercropsmod:onion_seeds', 1, 0.2)
addSifting(Dirt, StringMesh, 'justanothercropsmod:corn_seeds', 1, 0.2)

//coral
addSifting('minecraft:clay', StringMesh, 'minecraft:tube_coral', 1, 0.33)
addSifting('minecraft:clay', StringMesh, 'minecraft:brain_coral', 1, 0.33)
addSifting('minecraft:clay', StringMesh, 'minecraft:bubble_coral', 1, 0.33)
addSifting('minecraft:clay', StringMesh, 'minecraft:fire_coral', 1, 0.33)
addSifting('minecraft:clay', StringMesh, 'minecraft:horn_coral', 1, 0.33)

addSifting('minecraft:clay', FlintMesh, 'minecraft:tube_coral', 1, 0.33)
addSifting('minecraft:clay', FlintMesh, 'minecraft:brain_coral', 1, 0.33)
addSifting('minecraft:clay', FlintMesh, 'minecraft:bubble_coral', 1, 0.33)
addSifting('minecraft:clay', FlintMesh, 'minecraft:fire_coral', 1, 0.33)
addSifting('minecraft:clay', FlintMesh, 'minecraft:horn_coral', 1, 0.33)

addSifting('minecraft:clay', IronMesh, 'minecraft:tube_coral', 1, 0.33)
addSifting('minecraft:clay', IronMesh, 'minecraft:brain_coral', 1, 0.33)
addSifting('minecraft:clay', IronMesh, 'minecraft:bubble_coral', 1, 0.33)
addSifting('minecraft:clay', IronMesh, 'minecraft:fire_coral', 1, 0.33)
addSifting('minecraft:clay', IronMesh, 'minecraft:horn_coral', 1, 0.33)

addSifting('minecraft:clay', GoldMesh, 'minecraft:tube_coral', 1, 0.33)
addSifting('minecraft:clay', GoldMesh, 'minecraft:brain_coral', 1, 0.33)
addSifting('minecraft:clay', GoldMesh, 'minecraft:bubble_coral', 1, 0.33)
addSifting('minecraft:clay', GoldMesh, 'minecraft:fire_coral', 1, 0.33)
addSifting('minecraft:clay', GoldMesh, 'minecraft:horn_coral', 1, 0.33)

addSifting('minecraft:clay', DiamondMesh, 'minecraft:tube_coral', 1, 0.33)
addSifting('minecraft:clay', DiamondMesh, 'minecraft:brain_coral', 1, 0.33)
addSifting('minecraft:clay', DiamondMesh, 'minecraft:bubble_coral', 1, 0.33)
addSifting('minecraft:clay', DiamondMesh, 'minecraft:fire_coral', 1, 0.33)
addSifting('minecraft:clay', DiamondMesh, 'minecraft:horn_coral', 1, 0.33)

addSifting('minecraft:clay', NetheriteMesh, 'minecraft:tube_coral', 1, 0.33)
addSifting('minecraft:clay', NetheriteMesh, 'minecraft:brain_coral', 1, 0.33)
addSifting('minecraft:clay', NetheriteMesh, 'minecraft:bubble_coral', 1, 0.33)
addSifting('minecraft:clay', NetheriteMesh, 'minecraft:fire_coral', 1, 0.33)
addSifting('minecraft:clay', NetheriteMesh, 'minecraft:horn_coral', 1, 0.33)

//guardian tongue
addSifting('minecraft:clay', IronMesh, 'progressionutils:guardian_tongue', 1, 0.33)
addSifting('minecraft:clay', GoldMesh, 'progressionutils:guardian_tongue', 1, 0.33)
addSifting('minecraft:clay', DiamondMesh, 'progressionutils:guardian_tongue', 1, 0.33)
addSifting('minecraft:clay', NetheriteMesh, 'progressionutils:guardian_tongue', 1, 0.33)
//elder guardian spike & shard
addSifting('minecraft:clay', DiamondMesh, 'progressionutils:elder_guardian_shard', 1, 0.03)
addSifting('minecraft:clay', NetheriteMesh, 'progressionutils:elder_guardian_shard', 1, 0.05)
addSifting('minecraft:clay', DiamondMesh, 'progressionutils:elder_guardian_spike', 1, 0.03)
addSifting('minecraft:clay', NetheriteMesh, 'progressionutils:elder_guardian_spike', 1, 0.05)

//compressed sieve recipes
//compressed red sand recipes
addCompSifting('exdeorum:compressed_red_sand', StringMesh, 'minecraft:cactus', 1, 0.12)
addCompSifting('exdeorum:compressed_red_sand', StringMesh, 'minecraft:dead_bush', 1, 0.07)

//netherite scraps from blackstone
addCompSifting("exdeorum:compressed_crushed_blackstone", GoldMesh, 'minecraft:netherite_scrap', 2, 0.03)
addCompSifting("exdeorum:compressed_crushed_blackstone", DiamondMesh, 'minecraft:netherite_scrap', 2, 0.06)
addCompSifting("exdeorum:compressed_crushed_blackstone", NetheriteMesh, 'minecraft:netherite_scrap', 4, 0.08)

//broken bones from sand
addCompSifting('compressium:sand_1', FlintMesh, 'progressionutils:broken_bone', 2, 0.13)
addCompSifting('compressium:sand_1', IronMesh, 'progressionutils:broken_bone', 2, 0.16)
addCompSifting('compressium:sand_1', GoldMesh, 'progressionutils:broken_bone', 2, 0.2)
addCompSifting('compressium:sand_1', DiamondMesh, 'progressionutils:broken_bone', 2, 0.22)
addCompSifting('compressium:sand_1', NetheriteMesh, 'progressionutils:broken_bone', 2, 0.24)

//compressed gravel
addCompSifting('compressium:gravel_1', StringMesh, 'minecraft:coal', 1, 0.1)
addCompSifting('compressium:gravel_1', StringMesh, 'exdeorum:stone_pebble', 4, 0.1)
//flint from compressed gravel
addCompSifting('compressium:gravel_1', FlintMesh, 'minecraft:flint', 1, 0.1)
addCompSifting('compressium:gravel_1', IronMesh, 'minecraft:flint', 2, 0.2)
addCompSifting('compressium:gravel_1', GoldMesh, 'minecraft:flint', 3, 0.3)
addCompSifting('compressium:gravel_1', DiamondMesh, 'minecraft:flint', 4, 0.4)
addCompSifting('compressium:gravel_1', NetheriteMesh, 'minecraft:flint', 5, 0.5)
//iron from compressed Gravel
addCompSifting('compressium:gravel_1', IronMesh, 'exdeorum:iron_ore_chunk', 2, 0.25)
addCompSifting('compressium:gravel_1', GoldMesh, 'exdeorum:iron_ore_chunk', 2, 0.25)
addCompSifting('compressium:gravel_1', DiamondMesh, 'exdeorum:iron_ore_chunk', 2, 0.25)
addCompSifting('compressium:gravel_1', NetheriteMesh, 'exdeorum:iron_ore_chunk', 2, 0.25)

//gold from compressed gravel
addCompSifting('compressium:gravel_1', FlintMesh, 'exdeorum:gold_ore_chunk', 2, 0.08)
addCompSifting('compressium:gravel_1', IronMesh, 'exdeorum:gold_ore_chunk', 3, 0.1)
addCompSifting('compressium:gravel_1', GoldMesh, 'exdeorum:gold_ore_chunk', 3, 0.13)
addCompSifting('compressium:gravel_1', DiamondMesh, 'exdeorum:gold_ore_chunk', 4, 0.15)
addCompSifting('compressium:gravel_1', NetheriteMesh, 'exdeorum:gold_ore_chunk', 5, 0.18)

//shards of desparity from dust
addCompSifting('exdeorum:compressed_dust', IronMesh, 'progressionutils:shard_fragment', 2, 0.1)
addCompSifting('exdeorum:compressed_dust', GoldMesh, 'progressionutils:shard_fragment', 2, 0.1)
addCompSifting('exdeorum:compressed_dust', DiamondMesh, 'progressionutils:shard_fragment', 3, 0.2)
addCompSifting('exdeorum:compressed_dust', NetheriteMesh, 'progressionutils:shard_fragment', 3, 0.2)

//ore pieces
addCompSifting('compressium:sand_1', IronMesh, 'skyblockutilities:maralite_ore_piece', 2, 0.3)
addCompSifting('compressium:sand_1', IronMesh, 'skyblockutilities:argoliem_ore_piece', 2, 0.3)
addCompSifting('compressium:sand_1', IronMesh, 'skyblockutilities:strossnium_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', IronMesh, 'skyblockutilities:taninite_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', GoldMesh, 'skyblockutilities:maralite_ore_piece', 2, 0.3)
addCompSifting('compressium:sand_1', GoldMesh, 'skyblockutilities:argoliem_ore_piece', 2, 0.3)
addCompSifting('compressium:sand_1', GoldMesh, 'skyblockutilities:strossnium_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', GoldMesh, 'skyblockutilities:taninite_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', DiamondMesh, 'skyblockutilities:maralite_ore_piece', 2, 0.3)
addCompSifting('compressium:sand_1', DiamondMesh, 'skyblockutilities:argoliem_ore_piece', 2, 0.3)
addCompSifting('compressium:sand_1', DiamondMesh, 'skyblockutilities:strossnium_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', DiamondMesh, 'skyblockutilities:taninite_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', NetheriteMesh, 'skyblockutilities:maralite_ore_piece', 2, 0.3)
addCompSifting('compressium:sand_1', NetheriteMesh, 'skyblockutilities:argoliem_ore_piece', 2, 0.3)
addCompSifting('compressium:sand_1', NetheriteMesh, 'skyblockutilities:strossnium_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', NetheriteMesh, 'skyblockutilities:taninite_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', GoldMesh, 'skyblockutilities:betium_ore_piece', 1, 0.2)
addCompSifting('compressium:sand_1', GoldMesh, 'skyblockutilities:rubium_ore_piece', 1, 0.2)
addCompSifting('compressium:sand_1', GoldMesh, 'skyblockutilities:sampsonite_ore_piece', 1, 0.2)
addCompSifting('compressium:sand_1', GoldMesh, 'skyblockutilities:brokonium_ore_piece', 1, 0.1)
addCompSifting('compressium:sand_1', DiamondMesh, 'skyblockutilities:betium_ore_piece', 1, 0.2)
addCompSifting('compressium:sand_1', DiamondMesh, 'skyblockutilities:rubium_ore_piece', 1, 0.2)
addCompSifting('compressium:sand_1', DiamondMesh, 'skyblockutilities:sampsonite_ore_piece', 1, 0.2)
addCompSifting('compressium:sand_1', DiamondMesh, 'skyblockutilities:brokonium_ore_piece', 1, 0.1)
addCompSifting('compressium:sand_1', NetheriteMesh, 'skyblockutilities:betium_ore_piece', 1, 0.2)
addCompSifting('compressium:sand_1', NetheriteMesh, 'skyblockutilities:rubium_ore_piece', 1, 0.2)
addCompSifting('compressium:sand_1', NetheriteMesh, 'skyblockutilities:sampsonite_ore_piece', 1, 0.2)
addCompSifting('compressium:sand_1', NetheriteMesh, 'skyblockutilities:brokonium_ore_piece', 1, 0.1)
//royal crowns from Sand
addCompSifting('compressium:sand_1', GoldMesh, 'skyblockutilities:ruby_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', GoldMesh, 'skyblockutilities:sapphire_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', GoldMesh, 'skyblockutilities:jadestone_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', GoldMesh, 'skyblockutilities:rosegold_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', GoldMesh, 'skyblockutilities:royaldiamond_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', DiamondMesh, 'skyblockutilities:ruby_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', DiamondMesh, 'skyblockutilities:sapphire_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', DiamondMesh, 'skyblockutilities:jadestone_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', DiamondMesh, 'skyblockutilities:rosegold_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', DiamondMesh, 'skyblockutilities:royaldiamond_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', NetheriteMesh, 'skyblockutilities:ruby_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', NetheriteMesh, 'skyblockutilities:sapphire_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', NetheriteMesh, 'skyblockutilities:jadestone_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', NetheriteMesh, 'skyblockutilities:rosegold_ore_piece', 2, 0.25)
addCompSifting('compressium:sand_1', NetheriteMesh, 'skyblockutilities:royaldiamond_ore_piece', 2, 0.25)

//blue skies
addCompSifting('exdeorum:compressed_dust', IronMesh, 'blue_skies:charoite', 1, 0.05)
addCompSifting('exdeorum:compressed_dust', IronMesh, 'blue_skies:moonstone_shard', 1, 0.05)
addCompSifting('exdeorum:compressed_dust', GoldMesh, 'blue_skies:charoite', 1, 0.1)
addCompSifting('exdeorum:compressed_dust', GoldMesh, 'blue_skies:moonstone_shard', 1, 0.1)
addCompSifting('exdeorum:compressed_dust', DiamondMesh, 'blue_skies:charoite', 1, 0.12)
addCompSifting('exdeorum:compressed_dust', DiamondMesh, 'blue_skies:moonstone_shard', 1, 0.12)
addCompSifting('exdeorum:compressed_dust', NetheriteMesh, 'blue_skies:charoite', 1, 0.15)
addCompSifting('exdeorum:compressed_dust', NetheriteMesh, 'blue_skies:moonstone_shard', 1, 0.15)

//pebbles from compressed dirt
addCompSifting('compressium:dirt_1', StringMesh, 'exdeorum:stone_pebble', 6, 0.2)
addCompSifting('compressium:dirt_1', FlintMesh, 'exdeorum:stone_pebble', 6, 0.3)
addCompSifting('compressium:dirt_1', IronMesh, 'exdeorum:stone_pebble', 6, 0.4)
addCompSifting('compressium:dirt_1', GoldMesh, 'exdeorum:stone_pebble', 6, 0.5)
addCompSifting('compressium:dirt_1', DiamondMesh, 'exdeorum:stone_pebble', 6, 0.6)
addCompSifting('compressium:dirt_1', NetheriteMesh, 'exdeorum:stone_pebble', 6, 0.7)
//iron from flint mesh
addCompSifting('compressium:gravel_1', FlintMesh, 'exdeorum:iron_ore_chunk', 2, 0.25)
//copper from flint mesh
addCompSifting('compressium:gravel_1', FlintMesh, 'exdeorum:copper_ore_chunk', 2, 0.25)
})